
package de.ivu.elect.jee.entity;

import de.ivu.elect.jee.entity.tk.EntityUK;

public interface DAO<E extends Entity, PK, UK extends EntityUK> {

  /**
   * Exitiert in der Datenbank bereits eine Entität mit diesem Unique Key?
   */
  boolean isEntityWithUKPresent(UK uk);

  /**
   * Wenn eine Entität in der Datenbank mit dem Unique Key existiert, hat diese dann den übergebenen PK?
   */
  boolean isEntityWithUKHasPK(UK uk, PK pk);

  E findByPrimaryKey(PK pk);
}
